

// Driver program for CS 171 Project 1
// Author:  John Paul Vergara

#include <iostream>
#include "MiniCasino.h"
#include "GamblerAgent.h"
using namespace std;

int tryEnv( double pA, double pB, int seed, int C, int M )
{
	
	MiniCasino *mc = new MiniCasino( pA, pB, seed );
	mc->setEnv( C, M );
	GamblerAgent *g = new GamblerAgent( mc, C, M );
	int cashBalance = g->gamble();

	return mc->getBal();
}

int main( int argc, char **argv )
{
	char *name = "";
	if ( argc >= 2 ) name = argv[1];
	printf( name );
	printf( ",%d", tryEnv( 1.2, 1.1, 1000, 1000, 120 ) );
	printf( ",%d", tryEnv( -1.0, -1.0, 1111, 1000, 250 ) );
	printf( ",%d", tryEnv( 1.2, 1.4, 9876, 600, 50 ) );
	printf( ",%d", tryEnv( 0.8, 1.2, 1360, 500, 200 ) );
	printf( ",%d", tryEnv( -1.0, 1.1, 3333, 100, 150 ) );
	printf( ",%d\n", tryEnv( -1, -1, 6666, 1000, 120 ) );
	return 0;
}