
// Driver class for CS 171 Project 1
// Author:  John Paul Vergara

public class Driver
{
	public static void main( String args[] )
	{
		String name = "";
		if ( args.length >= 1 ) name = args[0];
		System.out.print( name );
		System.out.print( "," + tryEnv( 1.2, 1.1, 1000, 1000, 120 ) );
		System.out.print( "," + tryEnv( -1.0, -1.0, 1111, 1000, 250 ) );
		System.out.print( "," + tryEnv( 1.2, 1.4, 9876, 600, 50 ) );
		System.out.print( "," + tryEnv( 0.8, 1.2, 1360, 500, 200 ) );
		System.out.print( "," + tryEnv( -1.0, 1.1, 3333, 100, 150 ) );
		System.out.println( "," + tryEnv( -1, -1, 6666, 1000, 120 ) );
	}
	
	public static int tryEnv( double pA, double pB, int seed, int C, int M )
	{	
		MiniCasino mc = new MiniCasino( pA, pB, seed );
		mc.setEnv( C, M );
		GamblerAgent g = new GamblerAgent( mc, C, M );
		int cashBalance = g.gamble();	
		return mc.getBal();
	}

}